com.h3c.of.lib.msg

## Enum MessageFactory.TestReset

- java.lang.Object
- - java.lang.Enum<MessageFactory.TestReset>
  - - com.h3c.of.lib.msg.MessageFactory.TestReset

- All Implemented Interfaces:
    Serializable, Comparable<MessageFactory.TestReset>
  Enclosing class:
    MessageFactory

      public static enum MessageFactory.TestReset
      extends Enum<MessageFactory.TestReset>

  Denotes things that can be reset, during unit tests.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `XID` The message factory XID generator value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageFactory.TestReset` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageFactory.TestReset[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XID

          public static final MessageFactory.TestReset XID

      The message factory XID generator value.

  - ### Method Detail

    - #### values

          public static MessageFactory.TestReset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageFactory.TestReset c : MessageFactory.TestReset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageFactory.TestReset valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.